| Flutter iOS Embedder |

Public Member Functions | List of all members
flutter::IOSSurfaceNoop Class Referencefinal

A rendering surface that accepts rendering intent but does not render anything. More...

`#include <ios_surface_noop.h>`

Inheritance diagram for flutter::IOSSurfaceNoop:

## Public Member Functions
| IOSSurfaceNoop (std::shared_ptr< IOSContext > context)
| ~IOSSurfaceNoop () override
bool | IsValid () const override
void | UpdateStorageSizeIfNecessary () override
std::unique_ptr< Surface > | CreateGPUSurface (GrDirectContext *gr_context=nullptr) override
Public Member Functions inherited from flutter::IOSSurface
std::shared_ptr< IOSContext > | GetContext () const
virtual | ~IOSSurface ()

## Additional Inherited Members
Static Public Member Functions inherited from flutter::IOSSurface
static std::unique_ptr< IOSSurface > | Create (std::shared_ptr< IOSContext > context, const fml::scoped_nsobject< CALayer > &layer)
Protected Member Functions inherited from flutter::IOSSurface
| IOSSurface (std::shared_ptr< IOSContext > ios_context)

## Detailed Description

A rendering surface that accepts rendering intent but does not render anything.

This is useful for running on platforms that need an engine instance and don't have the required drivers.

Definition at line 23 of file ios_surface_noop.h.

## Constructor & Destructor Documentation

## ◆ IOSSurfaceNoop()

flutter::IOSSurfaceNoop::IOSSurfaceNoop | ( | std::shared_ptr< IOSContext > | context | ) |
| explicit

Definition at line 23 of file ios_surface_noop.mm.

24 : IOSSurface(std::move(context)) {}

## ◆ ~IOSSurfaceNoop()

flutter::IOSSurfaceNoop::~IOSSurfaceNoop | ( |  | ) |
| overridedefault

## Member Function Documentation

## ◆ CreateGPUSurface()

std::unique_ptr< Surface > flutter::IOSSurfaceNoop::CreateGPUSurface | ( | GrDirectContext * | gr_context = `nullptr` | ) |
| overridevirtual

Implements flutter::IOSSurface.

Definition at line 34 of file ios_surface_noop.mm.

34 {
35 return std::make_unique<GPUSurfaceNoop>();
36 }

## ◆ IsValid()

bool flutter::IOSSurfaceNoop::IsValid | ( |  | ) | const
| overridevirtual

Implements flutter::IOSSurface.

Definition at line 28 of file ios_surface_noop.mm.

28 {
29 return true;
30 }

## ◆ UpdateStorageSizeIfNecessary()

void flutter::IOSSurfaceNoop::UpdateStorageSizeIfNecessary | ( |  | ) |
| overridevirtual

Implements flutter::IOSSurface.

Definition at line 32 of file ios_surface_noop.mm.

32 {}

The documentation for this class was generated from the following files:

- shell/platform/darwin/ios/ios_surface_noop.h
- shell/platform/darwin/ios/ios_surface_noop.mm

flutter::IOSSurface::IOSSurface
IOSSurface(std::shared_ptr< IOSContext > ios_context)
Definition: ios_surface.mm:55